Compare commits

...

119 Commits

Author SHA1 Message Date
Simon L
90c2328400 increase to 4.6.1
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-08 14:54:23 +01:00
Simon L
f5ee38247c Merge pull request #2122 from nextcloud/enh/noid/fix-borg-globbing
borg script - disable globbing
2023-03-08 14:53:33 +01:00
Simon L
f51029270b Merge pull request #2123 from nextcloud/enh/noid/imaginary-prevent-memory-issues
imaginary - try to prevent possible memory issues
2023-03-08 14:52:59 +01:00
Simon L
d27aa357db Merge pull request #2125 from nextcloud/dependabot/docker/Containers/apache/httpd-2.4.56-alpine3.17
Bump httpd from 2.4.55-alpine3.17 to 2.4.56-alpine3.17 in /Containers/apache
2023-03-08 14:09:07 +01:00
dependabot[bot]
4b3e192ee6 Bump httpd in /Containers/apache
Bumps httpd from 2.4.55-alpine3.17 to 2.4.56-alpine3.17.

---
updated-dependencies:
- dependency-name: httpd
  dependency-type: direct:production
  update-type: version-update:semver-patch
...

Signed-off-by: dependabot[bot] <support@github.com>
2023-03-08 13:00:51 +00:00
Simon L
d974023c8d imaginary - try to prevent possible memory issues
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-08 11:08:03 +01:00
Simon L
204aa5649c fix typo
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-08 00:12:54 +01:00
Simon L
8cd5f604c4 Nextcloud_mount is actually supported on windows now
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-07 23:26:42 +01:00
Simon L
fdb0330959 add an example for NEXTCLOUD_MOUNT on macOS
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-07 23:16:17 +01:00
Simon L
4f5062080b borg script - disable globbing
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-07 23:15:15 +01:00
Simon L
39b669ae83 fix typo
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-07 11:27:07 +01:00
Simon L
671a73a6c4 fix typo
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-07 10:57:51 +01:00
Simon L
a4f0852bdf increase to 4.6.0
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-07 10:43:04 +01:00
Simon L
46ae99e36b Merge pull request #2109 from nextcloud/enh/noid/change-permission-check
change how permission check setting works
2023-03-07 10:41:22 +01:00
Simon L
07054d869b Merge pull request #2114 from nextcloud/enh/noid/update-imaginary-dependencies
update some imaginary dependencies to improve performance
2023-03-07 10:23:23 +01:00
Simon L
ebbcb998ce address review
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-07 10:04:11 +01:00
Simon L
9f8d17d888 Merge pull request #2113 from nextcloud/enh/noid/cap_add
fix set_memory for imaginary and move cap_add to containers.json
2023-03-07 09:59:45 +01:00
Simon L
56a95182c7 change to bookworm
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-07 09:56:03 +01:00
Simon L
e218c1d041 Merge pull request #2107 from nextcloud/enh/noid/add-another-volume-check
add a check if the mastercontainer volume is really connected to the mastercontainer
2023-03-07 09:53:20 +01:00
Simon L
356792ec68 Merge pull request #2106 from nextcloud/enh/noid/rm-tzdata-master
remove tzdata from mastercontainer
2023-03-07 09:46:55 +01:00
Simon L
30ae4eeecd Merge pull request #2098 from nextcloud/enh/noid/exclude-some-logs
exclude nextcloud and audit log in backup due to GPDR reasons
2023-03-07 09:46:38 +01:00
Simon L
8685107e2e Merge pull request #2118 from nextcloud/enh/noid/send-update-notification-on-saturdays
only send update notifications on saturdays
2023-03-07 09:44:43 +01:00
Simon L
f01a5841b9 only send update notifications on saturdays
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-07 09:29:04 +01:00
Simon L
2a01e9683b exclude nextcloud and audit log in backup due to GPDR reasons
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-07 09:22:02 +01:00
Simon L
0873e526b4 Merge pull request #2115 from spatterIight/patch-1
Update migration.md
2023-03-07 08:57:46 +01:00
spatterlight
2306587a7d Update migration.md
Fixed typo

Signed-off-by: spatterlight <81454789+spatterIight@users.noreply.github.com>
2023-03-06 21:14:45 +00:00
Simon L
69b0911db1 add two options to cifs mount
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-06 15:14:04 +01:00
Simon L
6587530242 fix set_memory for imaginary and move cap_add to containers.json
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-06 11:45:07 +01:00
Simon L
cf3f1f04cd update some imaginary dependencies to improve performance
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-06 11:42:00 +01:00
Simon L
ba6efd2a9c change how permission check setting works
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-05 14:36:21 +01:00
Simon L
1e96eed341 add a check if the mastercontainer volume is really connected to the mastercontainer
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-04 20:17:19 +01:00
Simon L
c54395aa4c update snap migration advice
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-04 18:02:05 +01:00
Simon L
4590b28b50 remove tzdata from mastercontainer
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-04 17:26:57 +01:00
Simon L
a77ae20e5d Merge pull request #2102 from shaan7/patch-1
Fix directory path example
2023-03-03 23:23:14 +01:00
Shantanu Tushar
c5e481b767 Fix directory path example
`/run/desktop/mnt/host/c/ncdata` does not really contain the word `backup`, so I'm guessing `C:\backup` is a typo.

Signed-off-by: Shantanu Tushar <shaan7in@gmail.com>
2023-03-04 03:17:33 +05:30
Simon L
c23b7aa396 increase to 4.5.1
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-02 15:48:51 +01:00
Simon L
a12022f290 Merge pull request #2096 from nextcloud/dependabot/docker/Containers/collabora/collabora/code-22.05.10.8.1
Bump collabora/code from 22.05.10.7.1 to 22.05.10.8.1 in /Containers/collabora
2023-03-02 15:44:22 +01:00
Simon L
01291bbcce Merge pull request #2097 from nextcloud/dependabot/docker/Containers/talk/ubuntu-focal-20230301
Bump ubuntu from focal-20230126 to focal-20230301 in /Containers/talk
2023-03-02 15:43:56 +01:00
Simon L
97b0622cc3 fix typo
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-02 14:50:50 +01:00
dependabot[bot]
f67cae35fa Bump ubuntu from focal-20230126 to focal-20230301 in /Containers/talk
Bumps ubuntu from focal-20230126 to focal-20230301.

---
updated-dependencies:
- dependency-name: ubuntu
  dependency-type: direct:production
...

Signed-off-by: dependabot[bot] <support@github.com>
2023-03-02 13:00:49 +00:00
dependabot[bot]
50aa368169 Bump collabora/code in /Containers/collabora
Bumps collabora/code from 22.05.10.7.1 to 22.05.10.8.1.

---
updated-dependencies:
- dependency-name: collabora/code
  dependency-type: direct:production
...

Signed-off-by: dependabot[bot] <support@github.com>
2023-03-02 13:00:44 +00:00
Simon L
5748f111d3 Merge pull request #2094 from nextcloud/aio-helm-update
Helm Chart updates
2023-03-02 12:22:11 +01:00
szaimen
aec815119e Helm Chart updates
Signed-off-by: GitHub <noreply@github.com>
2023-03-02 11:20:49 +00:00
Simon L
6463ea368a Merge pull request #2080 from nextcloud/fix/2077/fix-datadir-permission-check
fix datadir permission check
2023-03-02 11:49:42 +01:00
Simon L
2aef10ce47 Merge pull request #2092 from nextcloud/enh/2089/clamav-timeout
don't wait for clamav until forever
2023-03-02 11:46:30 +01:00
Simon L
81dff779b6 Merge pull request #2091 from nextcloud/enh/noid/improve-volume-check
improve the volume and container name check
2023-03-02 11:43:16 +01:00
Simon L
a34d6c1726 Merge pull request #2087 from nextcloud/dependabot/docker/Containers/imaginary/nextcloud/imaginary-20230301
Bump nextcloud/imaginary from 20230201 to 20230301 in /Containers/imaginary
2023-03-02 10:35:42 +01:00
Simon L
9bddac5937 Merge pull request #2086 from nextcloud/dependabot/docker/Containers/redis/redis-7.0.9-alpine
Bump redis from 7.0.8-alpine to 7.0.9-alpine in /Containers/redis
2023-03-02 10:35:12 +01:00
Simon L
fba13e8824 Merge pull request #2085 from nextcloud/aio-dependency-update
Dependency updates
2023-03-02 10:34:53 +01:00
Simon L
bc3e13bf69 Merge pull request #2084 from nextcloud/dependabot/docker/Containers/collabora/collabora/code-22.05.10.7.1
Bump collabora/code from 22.05.10.2.1 to 22.05.10.7.1 in /Containers/collabora
2023-03-02 10:34:31 +01:00
Simon L
ee06a04f51 fix datadir permission check
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-02 10:33:51 +01:00
Simon L
1f66f4c9ca Merge pull request #2067 from nextcloud/aio-yaml-update
Yaml updates
2023-03-02 09:58:57 +01:00
Simon L
6a22d5443b don't wait for clamav until forever
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-02 09:46:21 +01:00
Simon L
98078cbe0a improve the volume and container name check
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-03-02 09:25:14 +01:00
dependabot[bot]
de9b2bba0e Bump nextcloud/imaginary in /Containers/imaginary
Bumps nextcloud/imaginary from 20230201 to 20230301.

---
updated-dependencies:
- dependency-name: nextcloud/imaginary
  dependency-type: direct:production
  update-type: version-update:semver-major
...

Signed-off-by: dependabot[bot] <support@github.com>
2023-03-01 13:06:33 +00:00
dependabot[bot]
5fbe902145 Bump redis from 7.0.8-alpine to 7.0.9-alpine in /Containers/redis
Bumps redis from 7.0.8-alpine to 7.0.9-alpine.

---
updated-dependencies:
- dependency-name: redis
  dependency-type: direct:production
  update-type: version-update:semver-patch
...

Signed-off-by: dependabot[bot] <support@github.com>
2023-03-01 13:03:34 +00:00
szaimen
0dcdbf8be2 dependency updates
Signed-off-by: GitHub <noreply@github.com>
2023-03-01 12:17:25 +00:00
dependabot[bot]
9758c12491 Bump collabora/code in /Containers/collabora
Bumps collabora/code from 22.05.10.2.1 to 22.05.10.7.1.

---
updated-dependencies:
- dependency-name: collabora/code
  dependency-type: direct:production
...

Signed-off-by: dependabot[bot] <support@github.com>
2023-02-28 13:00:41 +00:00
szaimen
d9ec23e0f8 Yaml updates
Signed-off-by: GitHub <noreply@github.com>
2023-02-28 12:17:26 +00:00
Simon L
a06add045c Merge pull request #2079 from nextcloud/automated/noid/psalm-baseline-update-1677471769
[Automated] Update psalm-baseline.xml
2023-02-28 09:14:57 +01:00
nextcloud-command
5fd0b3294e Update psalm baseline
Signed-off-by: GitHub <noreply@github.com>
2023-02-27 04:22:49 +00:00
Simon L
bcdb692dd1 Merge pull request #2062 from nextcloud/note-architectures
add a note on supported architectures
2023-02-23 18:32:26 +01:00
Zoey
ac7c7b19d8 add note on uname -m
Signed-off-by: Zoey <zoey@z0ey.de>
2023-02-23 18:31:09 +01:00
Simon L
d8de7e0765 Merge pull request #2051 from nextcloud/improve-docker-cleanup
Cron: remove nextcloud-aio-domaincheck if stopped
2023-02-23 18:27:40 +01:00
Zoey
cf8d3dd437 add a note on supported architectures
Signed-off-by: Zoey <zoey@z0ey.de>
2023-02-23 18:26:25 +01:00
Zoey
3eb3a9ff9f remove -w from grep
Co-authored-by: Simon L. <szaimen@e.mail.de>
Signed-off-by: Zoey <zoey@z0ey.de>
2023-02-23 18:19:51 +01:00
Zoey
73b4c2d3ea add missing sudo
Signed-off-by: Zoey <zoey@z0ey.de>
2023-02-23 18:13:22 +01:00
Zoey
d7a174615c only remove domaincheck container if it is stopped
Signed-off-by: Zoey <zoey@z0ey.de>
2023-02-23 18:05:34 +01:00
Zoey
e2f92a30c6 remove removing tmp volumes
Signed-off-by: Zoey <zoey@z0ey.de>
2023-02-23 18:05:08 +01:00
Simon L
e28aef0c6a increase to 4.5.0
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-02-23 17:55:36 +01:00
Simon L
8a0c495d4d Merge pull request #2029 from nextcloud/enh/noid/improve-backup-starting-container-conflict
add a more generous solution to starting containers while backup stil…
2023-02-23 17:52:23 +01:00
Simon L
70eefd1f0d Merge pull request #2061 from nextcloud/fix/2057/install-check
fix install check for primary object storage
2023-02-23 17:48:30 +01:00
Simon L
457644dc52 Merge pull request #2059 from nextcloud/nextcloud-container-update
Nextcloud update
2023-02-23 17:48:04 +01:00
Simon L
3f22ec8b4d Merge pull request #2042 from nextcloud/enh/noid/add-network-option
add additional network option
2023-02-23 17:44:23 +01:00
Simon L
85e3172d7f Merge pull request #2040 from nextcloud/enh/noid/connect-via-localhost
talk - improve a few things
2023-02-23 17:43:10 +01:00
Simon L
c9f2d260f1 Merge pull request #2033 from nextcloud/dependabot/docker/Containers/collabora/collabora/code-22.05.10.2.1
Bump collabora/code from 22.05.10.1.1 to 22.05.10.2.1 in /Containers/collabora
2023-02-23 17:42:25 +01:00
Simon L
6506594155 Merge pull request #2032 from nextcloud/enh/2030/add-util-linux-misc
add util-linux-misc which might be required on alpine linux
2023-02-23 17:41:46 +01:00
Simon L
491693f402 add a more generous solution to starting containers while backup still running
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-02-23 17:41:10 +01:00
Simon L
2c546fd5be Merge pull request #2020 from nextcloud/enh/2019/fix-db-migration
also overwrite db_name to fix db migration
2023-02-23 17:35:25 +01:00
Simon L
9e8cab8eec Merge pull request #2015 from nextcloud/fix-collabora-ipv6
fix collabora ipv6-check
2023-02-23 17:34:43 +01:00
Simon L
d686d3eae0 Merge pull request #2011 from nextcloud/enh/noid/fix-wrong-mountpoint
docker-aio-config should not be a volume by default
2023-02-23 17:34:03 +01:00
Simon L
7c9cbdc121 Merge pull request #1254 from nextcloud/enh/591/turnserver
Improve turn server
2023-02-23 17:31:45 +01:00
Simon L
f8457a2830 fix install check for primary object storage
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-02-23 17:09:10 +01:00
Simon L
6a86209451 Merge pull request #2058 from nextcloud/aio-helm-update
Helm Chart updates
2023-02-23 15:39:17 +01:00
szaimen
ea5219f40d Helm Chart updates
Signed-off-by: GitHub <noreply@github.com>
2023-02-23 14:36:40 +00:00
Simon L
f2154bf2b7 try to fix volume order
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-02-23 15:36:05 +01:00
szaimen
fc1d8e0b32 nextcloud-update automated change
Signed-off-by: GitHub <noreply@github.com>
2023-02-23 12:43:24 +00:00
Zoey
9e9e991cb6 add sudo
Signed-off-by: Zoey <zoey@z0ey.de>
2023-02-23 07:00:05 +01:00
Zoey
c2444912b8 the image is a volume...
Signed-off-by: Zoey <zoey@z0ey.de>
2023-02-22 18:10:51 +01:00
Zoey
e85c43d075 Cron: clean nextcloud-aio-domaincheck/tmp volumes
Signed-off-by: Zoey <zoey@z0ey.de>
2023-02-22 18:03:48 +01:00
szaimen
66851eda8f improve turn server
Signed-off-by: szaimen <szaimen@e.mail.de>
2023-02-22 13:25:41 +01:00
Simon L
93bd1ce2ee talk - improve a few things
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-02-22 12:35:33 +01:00
Simon L
c3d3a29c6b Merge pull request #2048 from nextcloud/automated/noid/psalm-baseline-update-1677040067
[Automated] Update psalm-baseline.xml
2023-02-22 10:13:47 +01:00
nextcloud-command
cad3b0968a Update psalm baseline
Signed-off-by: GitHub <noreply@github.com>
2023-02-22 04:27:47 +00:00
Simon L
a2585fffe4 Revert "only check for internal ip-address"
This reverts commit b8930bc577.
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-02-21 17:31:26 +01:00
Simon L
b8930bc577 only check for internal ip-address
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-02-21 16:07:26 +01:00
Simon L
e0a7ca3656 add additional network option
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-02-21 15:36:03 +01:00
Simon L
dfc2d9798e Merge pull request #2039 from nextcloud/automated/noid/psalm-baseline-update-1676954190
[Automated] Update psalm-baseline.xml
2023-02-21 09:12:31 +01:00
nextcloud-command
403cc5cae7 Update psalm baseline
Signed-off-by: GitHub <noreply@github.com>
2023-02-21 04:36:29 +00:00
dependabot[bot]
f4e471e002 Bump collabora/code in /Containers/collabora
Bumps collabora/code from 22.05.10.1.1 to 22.05.10.2.1.

---
updated-dependencies:
- dependency-name: collabora/code
  dependency-type: direct:production
...

Signed-off-by: dependabot[bot] <support@github.com>
2023-02-20 12:20:53 +00:00
Simon L
a8ac8a8c00 add util-linux-misc which might be required on alpine linux
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-02-20 10:47:11 +01:00
Simon L
ef4835fcef Merge pull request #2031 from nextcloud/automated/noid/psalm-baseline-update-1676866986
[Automated] Update psalm-baseline.xml
2023-02-20 08:59:06 +01:00
nextcloud-command
00293d3ac0 Update psalm baseline
Signed-off-by: GitHub <noreply@github.com>
2023-02-20 04:23:05 +00:00
Simon L
7058cf2090 Merge pull request #2028 from nextcloud/enh/noid/adjust-readme
adjust readme a bit
2023-02-19 22:44:37 +01:00
Simon L
342a3b8b8f adjust readme a bit
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-02-19 22:43:21 +01:00
Simon L
98a32b1ccf fix detail
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-02-19 22:32:14 +01:00
Simon L
78db980b2f Merge pull request #2027 from nextcloud/enh/noid/improve-rp-docs
rp documentation - make apache_ip_binding documentation more explicit
2023-02-19 22:30:42 +01:00
Simon L
31ca661345 rp documentation - make apache_ip_binding documentation more explicit
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-02-19 22:15:23 +01:00
Simon L
e97aa44fe4 add a more complete dnsmasq guide
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-02-19 11:05:06 +01:00
Simon L
f97bfc7dd1 Merge pull request #2024 from Verhoeckx/patch-1
Add the directive ProxyPassReverse
2023-02-18 22:53:38 +01:00
Verhoeckx
758bc8b3ff Add the directive ProxyPassReverse
According to the official documentation of Apache the directive ProxyPassReverse should be added when Apache is being used as a reverse proxy. I have tested it and Nexctloud AIO seems to work just fine.

From the documentation:
"This directive lets Apache adjust the URL in the Location, Content-Location and URI headers on HTTP redirect responses. This is essential when Apache is used as a reverse proxy (or gateway) to avoid bypassing the reverse proxy because of HTTP redirects on the backend servers which stay behind the reverse proxy."

https://httpd.apache.org/docs/2.2/mod/mod_proxy.html#ProxyPassReverse


Signed-off-by: Verhoeckx <64807887+Verhoeckx@users.noreply.github.com>
2023-02-18 21:43:20 +01:00
Simon L
5ab67cea1e also overwrite db_name to fix db migration
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-02-18 19:03:26 +01:00
Simon L
4fd365764c Merge pull request #2018 from Leptopoda/patch-1
Fix typo
2023-02-18 16:57:47 +01:00
Nikolas Rimikis
a57185a34b Fix typo
Signed-off-by: Nikolas Rimikis <25266387+Leptopoda@users.noreply.github.com>
2023-02-18 14:27:52 +01:00
Zoey
60399acbc7 close #2014
Signed-off-by: Zoey <zoey@z0ey.de>
2023-02-17 16:49:25 +01:00
Simon L
6d2d054328 docker-aio-config should not be a volume by default
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-02-17 12:36:50 +01:00
Simon L
bc100b9fd8 Merge pull request #2009 from nextcloud/fix/2008/fix-database-migration
postgresql - improve database online check during the migration
2023-02-17 12:30:26 +01:00
Simon L
394b899578 postgresql - improve database online check during the migration
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-02-17 11:50:09 +01:00
Simon L
32124235ba increase to 4.4.1
Signed-off-by: Simon L <szaimen@e.mail.de>
2023-02-17 11:29:45 +01:00
48 changed files with 255 additions and 173 deletions

View File

@@ -1,7 +1,7 @@
# Caddy is a requirement
FROM caddy:2.6.4-alpine as caddy
FROM httpd:2.4.55-alpine3.17
FROM httpd:2.4.56-alpine3.17
RUN set -ex; \
apk add --no-cache shadow; \

View File

@@ -3,6 +3,7 @@ FROM alpine:3.17.2
RUN set -ex; \
\
apk add --no-cache \
util-linux-misc \
bash \
borgbackup \
rsync \

View File

@@ -129,10 +129,13 @@ if [ "$BORG_MODE" = backup ]; then
# https://forum.level1techs.com/t/optimal-compression-for-borg-backups/145870/6
BORG_OPTS=(-v --stats --compression "auto,zstd" --exclude-caches --checkpoint-interval 86400)
# Exclude the nextcloud log and audit log for GDPR reasons
BORG_EXCLUDE=(--exclude "/nextcloud_aio_volumes/nextcloud_aio_nextcloud/data/nextcloud.log*" --exclude "/nextcloud_aio_volumes/nextcloud_aio_nextcloud/data/audit.log")
# Create the backup
echo "Starting the backup..."
get_start_time
if ! borg create "${BORG_OPTS[@]}" "$BORG_BACKUP_DIRECTORY::$CURRENT_DATE-nextcloud-aio" "/nextcloud_aio_volumes/"; then
if ! borg create "${BORG_OPTS[@]}" "${BORG_EXCLUDE[@]}" "$BORG_BACKUP_DIRECTORY::$CURRENT_DATE-nextcloud-aio" "/nextcloud_aio_volumes/"; then
echo "Deleting the failed backup archive..."
borg delete --stats "$BORG_BACKUP_DIRECTORY::$CURRENT_DATE-nextcloud-aio"
echo "Backup failed!"
@@ -264,13 +267,15 @@ if [ "$BORG_MODE" = restore ]; then
# Restore everything except the configuration file
if ! rsync --stats --archive --human-readable -vv --delete \
--exclude "nextcloud_aio_apache/caddy/"** \
--exclude "nextcloud_aio_mastercontainer/caddy/"** \
--exclude "nextcloud_aio_mastercontainer/certs/"** \
--exclude "nextcloud_aio_apache/caddy/**" \
--exclude "nextcloud_aio_mastercontainer/caddy/**" \
--exclude "nextcloud_aio_nextcloud/data/nextcloud.log*" \
--exclude "nextcloud_aio_nextcloud/data/audit.log" \
--exclude "nextcloud_aio_mastercontainer/certs/**" \
--exclude "nextcloud_aio_mastercontainer/data/configuration.json" \
--exclude "nextcloud_aio_mastercontainer/data/daily_backup_running" \
--exclude "nextcloud_aio_mastercontainer/data/session_date_file" \
--exclude "nextcloud_aio_mastercontainer/session/"** \
--exclude "nextcloud_aio_mastercontainer/session/**" \
/tmp/borg/nextcloud_aio_volumes/ /nextcloud_aio_volumes; then
RESTORE_FAILED=1
echo "Something failed while restoring from backup."

View File

@@ -1,5 +1,5 @@
# From a file located probably somewhere here: https://github.com/CollaboraOnline/online/tree/master/docker
FROM collabora/code:22.05.10.1.1
FROM collabora/code:22.05.10.8.1
USER root

View File

@@ -11,10 +11,5 @@ RUN set -ex; \
; \
rm -rf /var/lib/apt/lists/*
COPY start.sh /
RUN chmod +x /start.sh
ENTRYPOINT ["/bin/tini", "--", "/start.sh"]
HEALTHCHECK CMD nc -z localhost 9200 || exit 1
LABEL com.centurylinklabs.watchtower.monitor-only="true"

View File

@@ -1,18 +0,0 @@
#!/bin/bash
# Only start container if database is accessible (needed for backup to work correctly)
while ! nc -z "$POSTGRES_HOST" 5432; do
echo "Waiting for database to start..."
sleep 5
done
# Show wiki if vm.max_map_count is too low
if [ "$(sysctl -n vm.max_map_count)" -le 65530 ]; then
echo "max_map_count is too low and needs to be adjusted."
echo "See https://github.com/nextcloud/all-in-one/discussions/1775 how to change max_map_count"
fi
# Run initial entrypoint
/usr/local/bin/docker-entrypoint.sh
exec "$@"

View File

@@ -1,5 +1,5 @@
# From https://github.com/h2non/imaginary/blob/master/Dockerfile
FROM nextcloud/imaginary:20230201
FROM nextcloud/imaginary:20230301
USER root
RUN set -ex; \
@@ -8,6 +8,15 @@ RUN set -ex; \
apt-get install -y --no-install-recommends \
netcat \
; \
echo "deb http://deb.debian.org/debian bookworm main" > /etc/apt/sources.list.d/bookworm.list; \
apt-get update; \
apt-get install -t bookworm -y --no-install-recommends \
libheif1 \
libde265-0 \
libx265-199 \
libvips \
; \
rm /etc/apt/sources.list.d/bookworm.list; \
rm -rf /var/lib/apt/lists/*
USER nobody
@@ -15,3 +24,6 @@ ENTRYPOINT ["/usr/local/bin/imaginary", "-return-size", "-max-allowed-resolution
HEALTHCHECK CMD nc -z localhost 9000 || exit 1
LABEL com.centurylinklabs.watchtower.monitor-only="true"
# https://github.com/h2non/imaginary#memory-issues
ENV MALLOC_ARENA_MAX=2

View File

@@ -18,19 +18,15 @@ EXPOSE 80
EXPOSE 8080
EXPOSE 8443
RUN mkdir -p /mnt/docker-aio-config/;
VOLUME /mnt/docker-aio-config/
RUN mkdir -p /var/www/docker-aio;
WORKDIR /var/www/docker-aio
RUN set -ex; \
apk add --no-cache \
util-linux-misc \
ca-certificates \
wget \
tzdata \
bash \
apache2 \
apache2-proxy \

View File

@@ -38,8 +38,10 @@ while true; do
# Make sure to delete the lock file always
rm -f "/mnt/docker-aio-config/data/daily_backup_running"
# Check for updates and send notification if yes
sudo -u www-data php /var/www/docker-aio/php/src/Cron/UpdateNotification.php
# Check for updates and send notification if yes on saturdays
if [ "$(date +%u)" = 6 ]; then
sudo -u www-data php /var/www/docker-aio/php/src/Cron/UpdateNotification.php
fi
# Check if AIO is outdated
sudo -u www-data php /var/www/docker-aio/php/src/Cron/OutdatedNotification.php
@@ -47,8 +49,13 @@ while true; do
# Remove sessions older than 24h
find "/mnt/docker-aio-config/session/" -mindepth 1 -mmin +1440 -delete
# Remove nextcloud-aio-domaincheck container
if sudo -u www-data docker ps --format "{{.Names}}" --filter "status=exited" | grep -q "^nextcloud-aio-domaincheck$"; then
sudo -u www-data docker container remove nextcloud-aio-domaincheck
fi
# Remove dangling images
sudo -u www-data docker image prune -f
sudo -u www-data docker image prune --force
# Wait 60s so that the whole loop will not be executed again
sleep 60

View File

@@ -38,9 +38,10 @@ if [ "$AUTOMATIC_UPDATES" = 1 ]; then
fi
# Wait for watchtower to stop
if [ "$AUTOMATIC_UPDATES" = 1 ] && ! docker ps --format "{{.Names}}" | grep -q "^nextcloud-aio-watchtower$"; then
echo "Something seems to be wrong: Watchtower should be started at this step."
else
if [ "$AUTOMATIC_UPDATES" = 1 ]; then
if ! docker ps --format "{{.Names}}" | grep -q "^nextcloud-aio-watchtower$"; then
echo "Something seems to be wrong: Watchtower should be started at this step."
fi
while docker ps --format "{{.Names}}" | grep -q "^nextcloud-aio-watchtower$"; do
echo "Waiting for watchtower to stop"
sleep 30
@@ -58,6 +59,13 @@ fi
if [ "$DAILY_BACKUP" = 1 ]; then
echo "Creating daily backup..."
sudo -u www-data php /var/www/docker-aio/php/src/Cron/CreateBackup.php
if ! docker ps --format "{{.Names}}" | grep -q "^nextcloud-aio-borgbackup$"; then
echo "Something seems to be wrong: the borg container should be started at this step."
fi
while docker ps --format "{{.Names}}" | grep -q "^nextcloud-aio-borgbackup$"; do
echo "Waiting for backup container to stop"
sleep 30
done
fi
# Execute backup check

View File

@@ -77,14 +77,18 @@ elif echo "$STORAGE_DRIVER" | grep -q fuse-overlayfs; then
fi
# Check if startup command was executed correctly
if ! sudo -u www-data docker ps | grep -q "nextcloud-aio-mastercontainer"; then
if ! sudo -u www-data docker ps --format "{{.Names}}" | grep -q "^nextcloud-aio-mastercontainer$"; then
echo "It seems like you did not give the mastercontainer the correct name?
Using a different name is not supported!"
exit 1
elif ! sudo -u www-data docker volume ls | grep -q "nextcloud_aio_mastercontainer"; then
elif ! sudo -u www-data docker volume ls --format "{{.Name}}" | grep -q "^nextcloud_aio_mastercontainer$"; then
echo "It seems like you did not give the mastercontainer volume the correct name?
Using a different name is not supported!"
exit 1
elif ! sudo -u www-data docker inspect nextcloud-aio-mastercontainer | grep -q "nextcloud_aio_mastercontainer"; then
echo "It seems like you did not attach the nextcloud_aio_mastercontainer volume to the mastercontainer?
This is not supported!"
exit 1
fi
# Check for other options

View File

@@ -116,7 +116,7 @@ RUN { \
VOLUME /var/www/html
ENV NEXTCLOUD_VERSION 25.0.3
ENV NEXTCLOUD_VERSION 25.0.4
RUN set -ex; \
apk add --no-cache --virtual .fetch-deps \

View File

@@ -212,22 +212,27 @@ if ! [ -f "$NEXTCLOUD_DATA_DIR/skip.update" ]; then
exit 1
fi
# We do our own permission check so the permission check is not needed
php /var/www/html/occ config:system:set check_data_directory_permissions --value=false --type=bool
# Try to force generation of appdata dir:
php /var/www/html/occ maintenance:repair
max_retries=10
try=0
while [ -z "$(find "$NEXTCLOUD_DATA_DIR/" -maxdepth 1 -mindepth 1 -type d -name "appdata_*")" ] && [ "$try" -lt "$max_retries" ]; do
echo "Waiting for appdata to become available..."
try=$((try+1))
sleep 10s
done
if [ -z "$OBJECTSTORE_S3_BUCKET" ] && [ -z "$OBJECTSTORE_SWIFT_URL" ]; then
max_retries=10
try=0
while [ -z "$(find "$NEXTCLOUD_DATA_DIR/" -maxdepth 1 -mindepth 1 -type d -name "appdata_*")" ] && [ "$try" -lt "$max_retries" ]; do
echo "Waiting for appdata to become available..."
try=$((try+1))
sleep 10s
done
if [ "$try" -ge "$max_retries" ]; then
echo "Installation of Nextcloud failed!"
echo "Install errors: $(cat /var/www/html/data/nextcloud.log)"
touch "$NEXTCLOUD_DATA_DIR/install.failed"
exit 1
if [ "$try" -ge "$max_retries" ]; then
echo "Installation of Nextcloud failed!"
echo "Install errors: $(cat /var/www/html/data/nextcloud.log)"
touch "$NEXTCLOUD_DATA_DIR/install.failed"
exit 1
fi
fi
# unset admin password
@@ -291,6 +296,11 @@ if ! [ -f "$NEXTCLOUD_DATA_DIR/skip.update" ]; then
done
fi
# Set the permission check to its default value again if not set
if [ "$SKIP_DATA_DIRECTORY_PERMISSION_CHECK" != yes ]; then
php /var/www/html/occ config:system:set check_data_directory_permissions --value=true --type=bool
fi
#upgrade
else
touch "$NEXTCLOUD_DATA_DIR/update.failed"
@@ -357,18 +367,18 @@ else
SKIP_UPDATE=1
fi
# Check if appdata is present
# If not, something broke (e.g. changing ncdatadir after aio was first started)
if [ -z "$(find "$NEXTCLOUD_DATA_DIR/" -maxdepth 1 -mindepth 1 -type d -name "appdata_*")" ]; then
echo "Appdata is not present. Did you maybe change the datadir after aio was first started?"
echo "See https://github.com/nextcloud/all-in-one#how-to-change-the-default-location-of-nextclouds-datadir"
echo "In the datadir was found:"
ls -la "$NEXTCLOUD_DATA_DIR/"
exit 1
fi
# Configure tempdirectory
if [ -z "$OBJECTSTORE_S3_BUCKET" ] && [ -z "$OBJECTSTORE_SWIFT_URL" ]; then
# Check if appdata is present
# If not, something broke (e.g. changing ncdatadir after aio was first started)
if [ -z "$(find "$NEXTCLOUD_DATA_DIR/" -maxdepth 1 -mindepth 1 -type d -name "appdata_*")" ]; then
echo "Appdata is not present. Did you maybe change the datadir after aio was first started?"
echo "See https://github.com/nextcloud/all-in-one#how-to-change-the-default-location-of-nextclouds-datadir"
echo "In the datadir was found:"
ls -la "$NEXTCLOUD_DATA_DIR/"
exit 1
fi
# Configure tempdirectory
mkdir -p "$NEXTCLOUD_DATA_DIR/tmp/"
if ! grep -q upload_tmp_dir /usr/local/etc/php/conf.d/nextcloud.ini; then
echo "upload_tmp_dir = $NEXTCLOUD_DATA_DIR/tmp/" >> /usr/local/etc/php/conf.d/nextcloud.ini
@@ -439,10 +449,10 @@ if [ "$COLLABORA_ENABLED" = 'yes' ]; then
php /var/www/html/occ config:system:set allow_local_remote_servers --type=bool --value=true
# Make collabora more save
COLLABORA_IPv4_ADDRESS="$(echo "<?php echo gethostbyname('$NC_DOMAIN');" | php | head -1)"
COLLABORA_IPv6_Address="<?php \$record = dns_get_record('$NC_DOMAIN', DNS_AAAA);"
COLLABORA_IPv6_ADDRESS="<?php \$record = dns_get_record('$NC_DOMAIN', DNS_AAAA);"
# shellcheck disable=SC2016
COLLABORA_IPv6_Address+='if (!empty($record)) {echo $record[0]["ipv6"];}'
COLLABORA_IPv6_Address="$(echo "$COLLABORA_IPv6_Address" | php | head -1)"
COLLABORA_IPv6_ADDRESS+='if (!empty($record)) {echo $record[0]["ipv6"];}'
COLLABORA_IPv6_ADDRESS="$(echo "$COLLABORA_IPv6_ADDRESS" | php | head -1)"
COLLABORA_ALLOW_LIST="$(php /var/www/html/occ config:app:get richdocuments wopi_allowlist)"
if [ -n "$COLLABORA_IPv4_ADDRESS" ]; then
if ! echo "$COLLABORA_ALLOW_LIST" | grep -q "$COLLABORA_IPv4_ADDRESS"; then
@@ -532,23 +542,30 @@ fi
# Clamav
if [ "$CLAMAV_ENABLED" = 'yes' ]; then
while ! nc -z "$CLAMAV_HOST" 3310; do
count=0
while ! nc -z "$CLAMAV_HOST" 3310 && [ "$count" -lt 90 ]; do
echo "waiting for clamav to become available..."
count=$((count+5))
sleep 5
done
if ! [ -d "/var/www/html/custom_apps/files_antivirus" ]; then
php /var/www/html/occ app:install files_antivirus
elif [ "$(php /var/www/html/occ config:app:get files_antivirus enabled)" != "yes" ]; then
php /var/www/html/occ app:enable files_antivirus
elif [ "$SKIP_UPDATE" != 1 ]; then
php /var/www/html/occ app:update files_antivirus
if [ "$count" -ge 90 ]; then
echo "Clamav did not start in time. Skipping initialization and disabling files_antivirus app."
php /var/www/html/occ app:disable files_antivirus
else
if ! [ -d "/var/www/html/custom_apps/files_antivirus" ]; then
php /var/www/html/occ app:install files_antivirus
elif [ "$(php /var/www/html/occ config:app:get files_antivirus enabled)" != "yes" ]; then
php /var/www/html/occ app:enable files_antivirus
elif [ "$SKIP_UPDATE" != 1 ]; then
php /var/www/html/occ app:update files_antivirus
fi
php /var/www/html/occ config:app:set files_antivirus av_mode --value="daemon"
php /var/www/html/occ config:app:set files_antivirus av_port --value="3310"
php /var/www/html/occ config:app:set files_antivirus av_host --value="$CLAMAV_HOST"
php /var/www/html/occ config:app:set files_antivirus av_stream_max_length --value="104857600"
php /var/www/html/occ config:app:set files_antivirus av_max_file_size --value="-1"
php /var/www/html/occ config:app:set files_antivirus av_infected_action --value="only_log"
fi
php /var/www/html/occ config:app:set files_antivirus av_mode --value="daemon"
php /var/www/html/occ config:app:set files_antivirus av_port --value="3310"
php /var/www/html/occ config:app:set files_antivirus av_host --value="$CLAMAV_HOST"
php /var/www/html/occ config:app:set files_antivirus av_stream_max_length --value="104857600"
php /var/www/html/occ config:app:set files_antivirus av_max_file_size --value="-1"
php /var/www/html/occ config:app:set files_antivirus av_infected_action --value="only_log"
else
if [ -d "/var/www/html/custom_apps/files_antivirus" ]; then
php /var/www/html/occ app:remove files_antivirus

View File

@@ -17,10 +17,11 @@ if [ -f "/var/www/html/config/config.php" ]; then
echo "Waiting for the database to start..."
sleep 5
done
if [ "$POSTGRES_USER" = "oc_nextcloud" ] && echo "$POSTGRES_PASSWORD" | grep -q '^[a-z0-9]\+$'; then
# this was introduced with https://github.com/nextcloud/all-in-one/pull/218
if [ "$POSTGRES_USER" = "oc_nextcloud" ] && [ "$POSTGRES_DB" = "nextcloud_database" ] && echo "$POSTGRES_PASSWORD" | grep -q '^[a-z0-9]\+$'; then
# This was introduced with https://github.com/nextcloud/all-in-one/pull/218
sed -i "s|'dbuser'.*=>.*$|'dbuser' => '$POSTGRES_USER',|" /var/www/html/config/config.php
sed -i "s|'dbpassword'.*=>.*$|'dbpassword' => '$POSTGRES_PASSWORD',|" /var/www/html/config/config.php
sed -i "s|'db_name'.*=>.*$|'db_name' => '$POSTGRES_DB',|" /var/www/html/config/config.php
fi
fi

View File

@@ -1,7 +1,7 @@
# From https://github.com/docker-library/postgres/blob/master/15/alpine/Dockerfile
FROM postgres:15.2-alpine
RUN apk add --no-cache bash openssl shadow netcat-openbsd grep mawk
RUN apk add --no-cache bash openssl shadow grep mawk
# We need to use the same gid and uid as on old installations
RUN set -ex; \

View File

@@ -2,4 +2,4 @@
test -f "/mnt/data/backup-is-running" && exit 0
psql -d "postgresql://$POSTGRES_USER:$POSTGRES_PASSWORD@localhost:5432/$POSTGRES_DB" -c "select now()" || exit 1
psql -d "postgresql://oc_$POSTGRES_USER:$POSTGRES_PASSWORD@localhost:5432/$POSTGRES_DB" -c "select now()" || exit 1

View File

@@ -85,7 +85,7 @@ if ( [ -f "$DATADIR/PG_VERSION" ] && [ "$PG_MAJOR" != "$(cat "$DATADIR/PG_VERSIO
exec docker-entrypoint.sh postgres &
# Wait for creation
while ! nc -z localhost 11000; do
while ! psql -d "postgresql://oc_$POSTGRES_USER:$POSTGRES_PASSWORD@localhost:11000/$POSTGRES_DB" -c "select now()"; do
echo "Waiting for the database to start."
sleep 5
done

View File

@@ -1,5 +1,5 @@
# From https://github.com/docker-library/redis/blob/master/7.0/alpine/Dockerfile
FROM redis:7.0.8-alpine
FROM redis:7.0.9-alpine
RUN apk add --no-cache openssl bash

View File

@@ -1,4 +1,4 @@
FROM ubuntu:focal-20230126
FROM ubuntu:focal-20230301
RUN set -ex; \
\
@@ -10,6 +10,7 @@ RUN set -ex; \
curl \
ca-certificates \
netcat \
dnsutils \
; \
rm -rf /var/lib/apt/lists/*

View File

@@ -7,15 +7,16 @@ if [ -z "$NC_DOMAIN" ]; then
elif [ -z "$TURN_SECRET" ]; then
echo "You need to provide the TURN_SECRET."
exit 1
elif [ -z "$JANUS_API_KEY" ]; then
echo "You need to provide the JANUS_API_KEY."
exit 1
elif [ -z "$SIGNALING_SECRET" ]; then
echo "You need to provide the SIGNALING_SECRET."
exit 1
fi
# Turn: https://github.com/coturn/coturn/blob/master/examples/etc/turnserver.conf
set -x
IPv4_ADDRESS="$(dig nextcloud-aio-talk A +short)"
set +x
# Turn
cat << TURN_CONF > "/etc/turnserver.conf"
listening-port=$TALK_PORT
fingerprint
@@ -32,18 +33,26 @@ pidfile=/var/tmp/turnserver.pid
no-tls
no-dtls
userdb=/var/lib/turn/turndb
# Based on https://nextcloud-talk.readthedocs.io/en/latest/TURN/#turn-server-and-internal-networks
allowed-peer-ip=$IPv4_ADDRESS
denied-peer-ip=0.0.0.0-0.255.255.255
denied-peer-ip=10.0.0.0-10.255.255.255
denied-peer-ip=100.64.0.0-100.127.255.255
denied-peer-ip=127.0.0.0-127.255.255.255
denied-peer-ip=169.254.0.0-169.254.255.255
denied-peer-ip=172.16.0.0-172.31.255.255
denied-peer-ip=192.0.0.0-192.0.0.255
denied-peer-ip=192.0.2.0-192.0.2.255
denied-peer-ip=192.88.99.0-192.88.99.255
denied-peer-ip=192.168.0.0-192.168.255.255
denied-peer-ip=198.18.0.0-198.19.255.255
denied-peer-ip=198.51.100.0-198.51.100.255
denied-peer-ip=203.0.113.0-203.0.113.255
denied-peer-ip=240.0.0.0-255.255.255.255
TURN_CONF
# Janus
set -x
sed -i "s|#turn_rest_api_key.*|turn_rest_api_key = \"$JANUS_API_KEY\"|" /etc/janus/janus.jcfg
sed -i "s|#full_trickle.*|full_trickle = true|g" /etc/janus/janus.jcfg
sed -i 's|#stun_server.*|stun_server = "127.0.0.1"|g' /etc/janus/janus.jcfg
sed -i "s|#stun_port.*|stun_port = $TALK_PORT|g" /etc/janus/janus.jcfg
sed -i "s|#turn_port.*|turn_port = $TALK_PORT|g" /etc/janus/janus.jcfg
sed -i 's|#turn_server.*|turn_server = "127.0.0.1"|g' /etc/janus/janus.jcfg
sed -i 's|#turn_type .*|turn_type = "udp"|g' /etc/janus/janus.jcfg
sed -i 's|#ice_ignore_list .*|ice_ignore_list = "udp"|g' /etc/janus/janus.jcfg
sed -i 's|#interface.*|interface = "lo"|g' /etc/janus/janus.transport.websockets.jcfg
sed -i 's|#ws_interface.*|ws_interface = "lo"|g' /etc/janus/janus.transport.websockets.jcfg
sed -i 's|certfile =|#certfile =|g' /etc/janus/janus.transport.mqtt.jcfg
@@ -81,11 +90,6 @@ url = nats://127.0.0.1:4222
[mcu]
type = janus
url = ws://127.0.0.1:8188
[turn]
apikey = ${JANUS_API_KEY}
secret = ${TURN_SECRET}
servers = turn:$NC_DOMAIN:$TALK_PORT?transport=tcp,turn:$NC_DOMAIN:$TALK_PORT?transport=udp
SIGNALING_CONF
exec "$@"

View File

@@ -1,6 +1,6 @@
name: Nextcloud AIO Helm Chart
description: A generated Helm Chart for Nextcloud AIO from Skippbox Kompose
version: 4.3.4
version: 4.5.0
apiVersion: v2
keywords:
- latest

View File

@@ -54,7 +54,7 @@ spec:
value: nextcloud-aio-talk
- name: TZ
value: "{{ .Values.TIMEZONE }}"
image: nextcloud/aio-apache:20230216_152733-latest
image: nextcloud/aio-apache:20230302_085724-latest
name: nextcloud-aio-apache
ports:
- containerPort: {{ .Values.APACHE_PORT }}

View File

@@ -38,7 +38,7 @@ spec:
value: "90"
- name: TZ
value: "{{ .Values.TIMEZONE }}"
image: nextcloud/aio-clamav:20230216_152733-latest
image: nextcloud/aio-clamav:20230302_085724-latest
name: nextcloud-aio-clamav
ports:
- containerPort: 3310

View File

@@ -44,7 +44,7 @@ spec:
value: --o:ssl.enable=false --o:ssl.termination=true --o:logging.level=warning --o:home_mode.enable=true {{ .Values.COLLABORA_SECCOMP_POLICY }} --o:remote_font_config.url=https://{{ .Values.NC_DOMAIN }}/apps/richdocuments/settings/fonts.json
- name: server_name
value: "{{ .Values.NC_DOMAIN }}"
image: nextcloud/aio-collabora:20230216_152733-latest
image: nextcloud/aio-collabora:20230302_085724-latest
name: nextcloud-aio-collabora
ports:
- containerPort: 9980

View File

@@ -46,7 +46,7 @@ spec:
value: nextcloud
- name: TZ
value: "{{ .Values.TIMEZONE }}"
image: nextcloud/aio-postgresql:20230216_152733-latest
image: nextcloud/aio-postgresql:20230302_085724-latest
name: nextcloud-aio-database
ports:
- containerPort: 5432

View File

@@ -42,7 +42,7 @@ spec:
value: "{{ .Values.TIMEZONE }}"
- name: discovery.type
value: single-node
image: nextcloud/aio-fulltextsearch:20230216_152733-latest
image: nextcloud/aio-fulltextsearch:20230302_085724-latest
name: nextcloud-aio-fulltextsearch
ports:
- containerPort: 9200

View File

@@ -26,7 +26,7 @@ spec:
- env:
- name: TZ
value: "{{ .Values.TIMEZONE }}"
image: nextcloud/aio-imaginary:20230216_152733-latest
image: nextcloud/aio-imaginary:20230302_085724-latest
name: nextcloud-aio-imaginary
ports:
- containerPort: 9000

View File

@@ -112,7 +112,7 @@ spec:
value: "{{ .Values.TIMEZONE }}"
- name: UPDATE_NEXTCLOUD_APPS
value: "{{ .Values.UPDATE_NEXTCLOUD_APPS }}"
image: nextcloud/aio-nextcloud:20230216_152733-latest
image: nextcloud/aio-nextcloud:20230302_085724-latest
name: nextcloud-aio-nextcloud
ports:
- containerPort: 9000

View File

@@ -42,7 +42,7 @@ spec:
value: "{{ .Values.ONLYOFFICE_SECRET }}"
- name: TZ
value: "{{ .Values.TIMEZONE }}"
image: nextcloud/aio-onlyoffice:20230216_152733-latest
image: nextcloud/aio-onlyoffice:20230302_085724-latest
name: nextcloud-aio-onlyoffice
ports:
- containerPort: 80

View File

@@ -37,7 +37,7 @@ spec:
value: "{{ .Values.REDIS_PASSWORD }}"
- name: TZ
value: "{{ .Values.TIMEZONE }}"
image: nextcloud/aio-redis:20230216_152733-latest
image: nextcloud/aio-redis:20230302_085724-latest
name: nextcloud-aio-redis
ports:
- containerPort: 6379

View File

@@ -24,8 +24,6 @@ spec:
spec:
containers:
- env:
- name: JANUS_API_KEY
value: "{{ .Values.JANUS_API_KEY }}"
- name: NC_DOMAIN
value: "{{ .Values.NC_DOMAIN }}"
- name: SIGNALING_SECRET
@@ -36,7 +34,7 @@ spec:
value: "{{ .Values.TURN_SECRET }}"
- name: TZ
value: "{{ .Values.TIMEZONE }}"
image: nextcloud/aio-talk:20230216_152733-latest
image: nextcloud/aio-talk:20230302_085724-latest
name: nextcloud-aio-talk
ports:
- containerPort: {{ .Values.TALK_PORT }}

View File

@@ -141,7 +141,7 @@ find ./ \( -not -name '*service.yaml' -name '*.yaml' \) -exec sed -i "/^status:/
find ./ \( -not -name '*persistentvolumeclaim.yaml' -name '*.yaml' \) -exec sed -i "/resources:/d" \{} \;
# shellcheck disable=SC1083
find ./ -name '*.yaml' -exec sed -i "/creationTimestamp: null/d" \{} \;
VOLUMES="$(find ./ -name '*persistentvolumeclaim.yaml' | sed 's|-persistentvolumeclaim.yaml||g;s|.*nextcloud-aio-||g')"
VOLUMES="$(find ./ -name '*persistentvolumeclaim.yaml' | sed 's|-persistentvolumeclaim.yaml||g;s|.*nextcloud-aio-||g' | sort)"
mapfile -t VOLUMES <<< "$VOLUMES"
for variable in "${VOLUMES[@]}"; do
name="$(echo "$variable" | sed 's|-|_|g' | tr '[:lower:]' '[:upper:]')_STORAGE_SIZE"

View File

@@ -9,7 +9,6 @@ COLLABORA_SECCOMP_POLICY: --o:security.seccomp=true # Changing the valu
DATABASE_PASSWORD: # TODO! This needs to be a unique and good password!
FULLTEXTSEARCH_ENABLED: "no" # Setting this to "yes" (with quotes) enables the option in Nextcloud automatically.
IMAGINARY_ENABLED: "no" # Setting this to "yes" (with quotes) enables the option in Nextcloud automatically.
JANUS_API_KEY: # TODO! This needs to be a unique and good password!
NC_DOMAIN: yourdomain.com # TODO! Needs to be changed to the domain that you want to use for Nextcloud.
NEXTCLOUD_ADDITIONAL_APKS: imagemagick # This allows to add additional packages to the Nextcloud container permanently. Default is imagemagick but can be overwritten by modifying this value.
NEXTCLOUD_ADDITIONAL_PHP_EXTENSIONS: imagick # This allows to add additional php extensions to the Nextcloud container permanently. Default is imagick but can be overwritten by modifying this value.
@@ -29,14 +28,14 @@ TIMEZONE: Europe/Berlin # TODO! This is the timezone that your containe
TURN_SECRET: # TODO! This needs to be a unique and good password!
UPDATE_NEXTCLOUD_APPS: no # When setting to yes (with quotes), it will automatically update all installed Nextcloud apps upon container startup on saturdays.
STORAGE_CLASS: # By setting this, you can adjust the storage class for your volumes
ELASTICSEARCH_STORAGE_SIZE: 1Gi # You can change the size of the elasticsearch volume that default to 1Gi with this value
NEXTCLOUD_TRUSTED_CACERTS_STORAGE_SIZE: 1Gi # You can change the size of the nextcloud-trusted-cacerts volume that default to 1Gi with this value
COLLABORA_FONTS_STORAGE_SIZE: 1Gi # You can change the size of the collabora-fonts volume that default to 1Gi with this value
ONLYOFFICE_STORAGE_SIZE: 1Gi # You can change the size of the onlyoffice volume that default to 1Gi with this value
CLAMAV_STORAGE_SIZE: 1Gi # You can change the size of the clamav volume that default to 1Gi with this value
DATABASE_DUMP_STORAGE_SIZE: 1Gi # You can change the size of the database-dump volume that default to 1Gi with this value
NEXTCLOUD_DATA_STORAGE_SIZE: 1Gi # You can change the size of the nextcloud-data volume that default to 1Gi with this value
NEXTCLOUD_STORAGE_SIZE: 1Gi # You can change the size of the nextcloud volume that default to 1Gi with this value
REDIS_STORAGE_SIZE: 1Gi # You can change the size of the redis volume that default to 1Gi with this value
DATABASE_STORAGE_SIZE: 1Gi # You can change the size of the database volume that default to 1Gi with this value
APACHE_STORAGE_SIZE: 1Gi # You can change the size of the apache volume that default to 1Gi with this value
CLAMAV_STORAGE_SIZE: 1Gi # You can change the size of the clamav volume that default to 1Gi with this value
COLLABORA_FONTS_STORAGE_SIZE: 1Gi # You can change the size of the collabora-fonts volume that default to 1Gi with this value
DATABASE_STORAGE_SIZE: 1Gi # You can change the size of the database volume that default to 1Gi with this value
DATABASE_DUMP_STORAGE_SIZE: 1Gi # You can change the size of the database-dump volume that default to 1Gi with this value
ELASTICSEARCH_STORAGE_SIZE: 1Gi # You can change the size of the elasticsearch volume that default to 1Gi with this value
NEXTCLOUD_STORAGE_SIZE: 1Gi # You can change the size of the nextcloud volume that default to 1Gi with this value
NEXTCLOUD_DATA_STORAGE_SIZE: 1Gi # You can change the size of the nextcloud-data volume that default to 1Gi with this value
NEXTCLOUD_TRUSTED_CACERTS_STORAGE_SIZE: 1Gi # You can change the size of the nextcloud-trusted-cacerts volume that default to 1Gi with this value
ONLYOFFICE_STORAGE_SIZE: 1Gi # You can change the size of the onlyoffice volume that default to 1Gi with this value
REDIS_STORAGE_SIZE: 1Gi # You can change the size of the redis volume that default to 1Gi with this value

View File

@@ -147,7 +147,6 @@ services:
- NC_DOMAIN=${NC_DOMAIN}
- TURN_SECRET=${TURN_SECRET}
- SIGNALING_SECRET=${SIGNALING_SECRET}
- JANUS_API_KEY=${JANUS_API_KEY}
- TZ=${TIMEZONE}
- TALK_PORT=${TALK_PORT}
restart: unless-stopped

View File

@@ -10,7 +10,6 @@ COLLABORA_SECCOMP_POLICY=--o:security.seccomp=true # Changing the value
DATABASE_PASSWORD= # TODO! This needs to be a unique and good password!
FULLTEXTSEARCH_ENABLED="no" # Setting this to "yes" (with quotes) enables the option in Nextcloud automatically.
IMAGINARY_ENABLED="no" # Setting this to "yes" (with quotes) enables the option in Nextcloud automatically.
JANUS_API_KEY= # TODO! This needs to be a unique and good password!
NC_DOMAIN=yourdomain.com # TODO! Needs to be changed to the domain that you want to use for Nextcloud.
NEXTCLOUD_ADDITIONAL_APKS=imagemagick # This allows to add additional packages to the Nextcloud container permanently. Default is imagemagick but can be overwritten by modifying this value.
NEXTCLOUD_ADDITIONAL_PHP_EXTENSIONS=imagick # This allows to add additional php extensions to the Nextcloud container permanently. Default is imagick but can be overwritten by modifying this value.

View File

@@ -71,6 +71,7 @@ sed -i 's|APACHE_MAX_SIZE=|APACHE_MAX_SIZE=10737418240 # This needs to
sed -i 's|NEXTCLOUD_MAX_TIME=|NEXTCLOUD_MAX_TIME=3600 # This allows to change the upload time limit of the Nextcloud container|' sample.conf
sed -i 's|NEXTCLOUD_TRUSTED_CACERTS_DIR=|NEXTCLOUD_TRUSTED_CACERTS_DIR=/usr/local/share/ca-certificates/my-custom-ca # Nextcloud container will trust all the Certification Authorities, whose certificates are included in the given directory.|' sample.conf
sed -i 's|UPDATE_NEXTCLOUD_APPS=|UPDATE_NEXTCLOUD_APPS="no" # When setting to "yes" (with quotes), it will automatically update all installed Nextcloud apps upon container startup on saturdays.|' sample.conf
sed -i 's|SKIP_DATA_DIRECTORY_PERMISSION_CHECK=|SKIP_DATA_DIRECTORY_PERMISSION_CHECK="no" # When setting to "yes" (with quotes), it will skip the datadir permission check upon the initial Nextcloud installation.|' sample.conf
sed -i 's|APACHE_PORT=|APACHE_PORT=443 # Changing this to a different value than 443 will allow you to run it behind a web server or reverse proxy (like Apache, Nginx and else).|' sample.conf
sed -i 's|APACHE_IP_BINDING=|APACHE_IP_BINDING=0.0.0.0 # This can be changed to e.g. 127.0.0.1 if you want to run AIO behind a web server or reverse proxy (like Apache, Nginx and else) and if that is running on the same host and using localhost to connect|' sample.conf
sed -i 's|TALK_PORT=|TALK_PORT=3478 # This allows to adjust the port that the talk container is using.|' sample.conf

View File

@@ -15,12 +15,12 @@ The procedure for migrating only the files works like this:
1. Recreate all users that were present on your former installation
1. Take a backup using Nextcloud AIO's built-in backup solution (so that you can easily restore to this state again) (Note: this will stop all containers and is expected: don't start the container again at this point!)
1. Restore the datadirectory of your former instance: for `/path/to/nextcloud/data/` run `sudo docker cp --follow-link /path/to/nextcloud/data/ nextcloud-aio-nextcloud:/mnt/ncdata/` Note: the `/` at the end are necessary.
1. Next, run `sudo docker run --rm --volume nextcloud_aio_nextcloud_data:/mnt/ncdata:rw alpine chown -R 33:0 /mnt/ncdata/"` and `sudo docker run --rm --volume nextcloud_aio_nextcloud_data:/mnt/ncdata:rw alpine chmod -R 750 /mnt/ncdata/` to apply the correct permissions. (Or if `NEXTCLOUD_DATADIR` was provided, apply `chown -R 33:0` and `chmod -R 750` to the chosen path.)
1. Next, run `sudo docker run --rm --volume nextcloud_aio_nextcloud_data:/mnt/ncdata:rw alpine chown -R 33:0 /mnt/ncdata/` and `sudo docker run --rm --volume nextcloud_aio_nextcloud_data:/mnt/ncdata:rw alpine chmod -R 750 /mnt/ncdata/` to apply the correct permissions. (Or if `NEXTCLOUD_DATADIR` was provided, apply `chown -R 33:0` and `chmod -R 750` to the chosen path.)
1. Start the containers again and wait until all containers are running
1. Run `sudo docker exec --user www-data -it nextcloud-aio-nextcloud php occ files:scan-app-data && sudo docker exec --user www-data -it nextcloud-aio-nextcloud php occ files:scan --all` in order to scan all files in the datadirectory.
## Migrate the files and the database
**Please note**: this is much more complicated than migrating only the files and also not as failproof so be warned! Also, this will not work on former snap installations as the snap is read-only and thus you cannot install the necessary `pdo_pgsql` PHP extension.
**Please note**: this is much more complicated than migrating only the files and also not as failproof so be warned! Also, this will not work on former snap installations as the snap is read-only and thus you cannot install the necessary `pdo_pgsql` PHP extension. So if migrating from snap, you will need to use one of the other methods. However you could try to ask if the snaps maintainer could add this one small PHP extension to the snap here: https://github.com/nextcloud-snap/nextcloud-snap/issues which would allow for an easy migration.
The procedure for migrating the files and the database works like this:
1. Make sure that your old instance is on exactly the same version like the version used in Nextcloud AIO. (e.g. 23.0.0) You can find the used version here: [click here](https://github.com/nextcloud/all-in-one/search?l=Dockerfile&q=NEXTCLOUD_VERSION&type=). If not, simply upgrade your former installation to that version or wait until the version used in Nextcloud AIO got updated to the same version of your former installation or the other way around.

12
php/composer.lock generated
View File

@@ -1335,16 +1335,16 @@
},
{
"name": "symfony/deprecation-contracts",
"version": "v3.2.0",
"version": "v3.2.1",
"source": {
"type": "git",
"url": "https://github.com/symfony/deprecation-contracts.git",
"reference": "1ee04c65529dea5d8744774d474e7cbd2f1206d3"
"reference": "e2d1534420bd723d0ef5aec58a22c5fe60ce6f5e"
},
"dist": {
"type": "zip",
"url": "https://api.github.com/repos/symfony/deprecation-contracts/zipball/1ee04c65529dea5d8744774d474e7cbd2f1206d3",
"reference": "1ee04c65529dea5d8744774d474e7cbd2f1206d3",
"url": "https://api.github.com/repos/symfony/deprecation-contracts/zipball/e2d1534420bd723d0ef5aec58a22c5fe60ce6f5e",
"reference": "e2d1534420bd723d0ef5aec58a22c5fe60ce6f5e",
"shasum": ""
},
"require": {
@@ -1382,7 +1382,7 @@
"description": "A generic function and convention to trigger deprecation notices",
"homepage": "https://symfony.com",
"support": {
"source": "https://github.com/symfony/deprecation-contracts/tree/v3.2.0"
"source": "https://github.com/symfony/deprecation-contracts/tree/v3.2.1"
},
"funding": [
{
@@ -1398,7 +1398,7 @@
"type": "tidelift"
}
],
"time": "2022-11-25T10:21:52+00:00"
"time": "2023-03-01T10:25:55+00:00"
},
{
"name": "symfony/polyfill-ctype",

View File

@@ -21,6 +21,12 @@
"type": "string"
}
},
"cap_add": {
"type": "array",
"items": {
"type": "string"
}
},
"depends_on": {
"type": "array",
"items": {

View File

@@ -160,7 +160,8 @@
"TRUSTED_CACERTS_DIR=%NEXTCLOUD_TRUSTED_CACERTS_DIR%",
"STARTUP_APPS=%NEXTCLOUD_STARTUP_APPS%",
"ADDITIONAL_APKS=%NEXTCLOUD_ADDITIONAL_APKS%",
"ADDITIONAL_PHP_EXTENSIONS=%NEXTCLOUD_ADDITIONAL_PHP_EXTENSIONS%"
"ADDITIONAL_PHP_EXTENSIONS=%NEXTCLOUD_ADDITIONAL_PHP_EXTENSIONS%",
"SKIP_DATA_DIRECTORY_PERMISSION_CHECK=%SKIP_DATA_DIRECTORY_PERMISSION_CHECK%"
],
"restart": "unless-stopped",
"devices": [
@@ -240,14 +241,12 @@
"NC_DOMAIN=%NC_DOMAIN%",
"TURN_SECRET=%TURN_SECRET%",
"SIGNALING_SECRET=%SIGNALING_SECRET%",
"JANUS_API_KEY=%JANUS_API_KEY%",
"TZ=%TIMEZONE%",
"TALK_PORT=%TALK_PORT%"
],
"secrets": [
"TURN_SECRET",
"SIGNALING_SECRET",
"JANUS_API_KEY"
"SIGNALING_SECRET"
],
"restart": "unless-stopped"
},
@@ -319,6 +318,9 @@
],
"devices": [
"/dev/fuse"
],
"cap_add": [
"SYS_ADMIN"
]
},
{
@@ -412,7 +414,10 @@
"environment": [
"TZ=%TIMEZONE%"
],
"restart": "unless-stopped"
"restart": "unless-stopped",
"cap_add": [
"SYS_NICE"
]
},
{
"container_name": "nextcloud-aio-fulltextsearch",

View File

@@ -1,2 +1,2 @@
<?xml version="1.0" encoding="UTF-8"?>
<files psalm-version="5.6.0@e784128902dfe01d489c4123d69918a9f3c1eac5"/>
<files psalm-version="5.7.7@e028ba46ba0d7f9a78bc3201c251e137383e145f"/>

View File

@@ -23,6 +23,8 @@ class Container {
private array $secrets;
/** @var string[] */
private array $devices;
/** @var string[] */
private array $capAdd;
private DockerActionManager $dockerActionManager;
public function __construct(
@@ -38,6 +40,7 @@ class Container {
array $dependsOn,
array $secrets,
array $devices,
array $capAdd,
DockerActionManager $dockerActionManager
) {
$this->identifier = $identifier;
@@ -52,6 +55,7 @@ class Container {
$this->dependsOn = $dependsOn;
$this->secrets = $secrets;
$this->devices = $devices;
$this->capAdd = $capAdd;
$this->dockerActionManager = $dockerActionManager;
}
@@ -83,6 +87,10 @@ class Container {
return $this->devices;
}
public function GetCapAdds() : array {
return $this->capAdd;
}
public function GetPorts() : ContainerPorts {
return $this->ports;
}

View File

@@ -213,6 +213,11 @@ class ContainerDefinitionFetcher
$devices = $entry['devices'];
}
$capAdd = [];
if (isset($entry['cap_add'])) {
$capAdd = $entry['cap_add'];
}
$containers[] = new Container(
$entry['container_name'],
$displayName,
@@ -226,6 +231,7 @@ class ContainerDefinitionFetcher
$dependsOn,
$secrets,
$devices,
$capAdd,
$this->container->get(DockerActionManager::class)
);
}

View File

@@ -736,6 +736,14 @@ class ConfigurationManager
return false;
}
public function shouldDataDirectoryPermissionCheckGetSkipped() : bool {
$datadir = $this->GetNextcloudDatadirMount();
if ($datadir === 'nextcloud_aio_nextcloud_datadir' || str_starts_with($datadir, '/run/desktop/mnt/host/')) {
return true;
}
return false;
}
public function GetNextcloudStartupApps() : string {
$apps = getenv('NEXTCLOUD_STARTUP_APPS');
if (is_string($apps)) {

View File

@@ -348,6 +348,12 @@ class DockerActionManager
$replacements[1] = $this->configurationManager->GetNextcloudAdditionalApks();
} elseif ($out[1] === 'NEXTCLOUD_ADDITIONAL_PHP_EXTENSIONS') {
$replacements[1] = $this->configurationManager->GetNextcloudAdditionalPhpExtensions();
} elseif ($out[1] === 'SKIP_DATA_DIRECTORY_PERMISSION_CHECK') {
if ($this->configurationManager->shouldDataDirectoryPermissionCheckGetSkipped()) {
$replacements[1] = 'yes';
} else {
$replacements[1] = '';
}
} else {
$secret = $this->configurationManager->GetSecret($out[1]);
if ($secret === "") {
@@ -405,9 +411,13 @@ class DockerActionManager
$requestBody['HostConfig']['Devices'] = $devices;
}
$capAdds = $container->GetCapAdds();
if (count($capAdds) > 0) {
$requestBody['HostConfig']['CapAdd'] = $capAdds;
}
// Special things for the backup container which should not be exposed in the containers.json
if ($container->GetIdentifier() === 'nextcloud-aio-borgbackup') {
$requestBody['HostConfig']['CapAdd'] = ["SYS_ADMIN"];
$requestBody['HostConfig']['SecurityOpt'] = ["apparmor:unconfined"];
// Additional backup directories
@@ -663,7 +673,8 @@ class DockerActionManager
'Driver' => 'bridge',
'Internal' => false,
'Options' => [
'com.docker.network.bridge.enable_icc' => 'true'
'com.docker.network.bridge.enable_icc' => 'true',
'com.docker.network.bridge.enable_ip_masquerade' => 'true'
]
]
]

View File

@@ -16,7 +16,7 @@
</header>
<div class="content">
<h1>Nextcloud AIO v4.4.0</h1>
<h1>Nextcloud AIO v4.6.1</h1>
{# Add 2nd tab warning #}
<script type="text/javascript" src="second-tab-warning.js"></script>
@@ -24,14 +24,10 @@
{% set isAnyRunning = false %}
{% set isAnyRestarting = false %}
{% set isWatchtowerRunning = false %}
{% set isRestoreRunning = false %}
{% set isBackupOrRestoreRunning = false %}
{% set isApacheStarting = false %}
{% if is_backup_container_running == true %}
{% if borg_backup_mode == 'restore' %}
{% set isRestoreRunning = true %}
{% endif %}
{% if borg_backup_mode == 'backup' or borg_backup_mode == 'restore' %}
{% set isBackupOrRestoreRunning = true %}
{% endif %}
@@ -249,7 +245,7 @@
{% if has_update_available == true %}
{% if is_mastercontainer_update_available == false %}
⚠️ Container updates are available. Click on 'Stop Containers' and 'Start Containers' to update them. You should consider creating a backup first.<br><br>
⚠️ Container updates are available. Click on <b>Stop Containers</b> and <b>Start Containers</b> to update them. You should consider creating a backup first.<br><br>
{% endif %}
{% else %}
{% if is_mastercontainer_update_available == false %}
@@ -277,10 +273,8 @@
</form>
{% endif %}
{% else %}
{% if isRestoreRunning == true %}
Restore currently running. Cannot start the containers until that's done.<br /><br />
{% elseif has_update_available == true and isBackupOrRestoreRunning == true %}
Restore or Backup currently running and container update available. Cannot start the containers until that's done.<br /><br />
{% if isBackupOrRestoreRunning == true %}
Restore or Backup currently running. Cannot start the containers until that's done.<br /><br />
{% else %}
{% if was_start_button_clicked == false %}
Clicking on the button below will download all docker containers and start them. This can take a lot of time depending on your internect connection. Since the overall size is a few GB, this will take around 5-10 min or more. So be aware and patient!<br><br>

View File

@@ -18,8 +18,7 @@ The following instructions are meant for installations without a web server or r
curl -fsSL get.docker.com | sudo sh
```
1. If you need ipv6 support, you should enable it by following https://docs.docker.com/config/daemon/ipv6/.
2. Run the command below in order to start the container:<br><br>
(For people that cannot use ports 80 and/or 443 on this server e.g. because it is already taken by a different web server, please follow the [reverse proxy documentation](https://github.com/nextcloud/all-in-one/blob/main/reverse-proxy.md) because port 443 is used by this project and opened on the host by default even though it does not look like this is the case. Otherwise please run the command below!)
2. Run the command below in order to start the container:
```
# For Linux and without a web server or reverse proxy (like Apache, Nginx and else) already in place:
sudo docker run \
@@ -49,6 +48,8 @@ The following instructions are meant for installations without a web server or r
- Further options can be set using environment variables, for example `-e NEXTCLOUD_DATADIR="/mnt/ncdata"` (This is an example for Linux. See [this](https://github.com/nextcloud/all-in-one#how-to-change-the-default-location-of-nextclouds-datadir) for other OS' and for an explanation of what this value does. This specific one needs to be specified upon the first startup if you want to change it to a specific path instead of the default Docker volume). To see explanations and examples for further variables (like changing the location of Nextcloud's datadir or mounting some locations as external storage into the Nextcloud container), read through this readme and look at the docker-compose file: https://github.com/nextcloud/all-in-one/blob/main/docker-compose.yml
</details>
Note: You may be interested in adjusting Nextclouds datadir to store the files in a different location than the default docker volume. See [this documentation](https://github.com/nextcloud/all-in-one#how-to-change-the-default-location-of-nextclouds-datadir) on how to do it.
3. After the initial startup, you should be able to open the Nextcloud AIO Interface now on port 8080 of this server.<br>
E.g. `https://ip.address.of.this.server:8080`<br><br>
If your firewall/router has port 80 and 8443 open and you point a domain to your server, you can get a valid certificate automatically by opening the Nextcloud AIO Interface via:<br>
@@ -62,6 +63,11 @@ Nextcloud AIO is inspired by projects like Portainer that manage the docker daem
### Are reverse proxies supported?
Yes. Please refer to the following documentation on this: [reverse-proxy.md](https://github.com/nextcloud/all-in-one/blob/main/reverse-proxy.md)
### Which CPU architectures are supported?
You can check this on Linux by running: `uname -m`
- x86_64/x64/amd64
- aarch64/arm64/armv8 (Note: ClamAV is currently not supported on this CPU architecture)
### Which ports are mandatory to be open in your firewall/router?
Only those (if you access the Mastercontainer Interface internally via port 8080):
- `443/TCP` for the Apache container
@@ -141,7 +147,7 @@ Although it does not seems like it is the case but from AIO perspective a Cloudf
In general recommended VPS are those that are KVM/non-virtualized as Docker should work best on them.
### Note on storage options
- SD-cards are discrecommended for AIO since they cripple the performance and they are not meant for many write operations which is needed for the database and other parts
- SD-cards are disrecommended for AIO since they cripple the performance and they are not meant for many write operations which is needed for the database and other parts
- SSD storage is recommended
- HDD storage should work as well but is of course much slower than SSD storage
@@ -166,6 +172,7 @@ No and it will not be added. Please use a dedicated domain for Nextcloud and set
### How can I access Nextcloud locally?
The recommended way is to set up a local dns-server like a pi-hole and set up a custom dns-record for that domain that points to the internal ip-adddress of your server that runs Nextcloud AIO. Below are some guides:
- https://www.howtogeek.com/devops/how-to-run-your-own-dns-server-on-your-local-network/
- https://help.nextcloud.com/t/need-help-to-configure-internal-access/156075/6
- https://howchoo.com/pi/pi-hole-setup together with https://docs.callitkarma.me/posts/PiHole-Local-DNS/
- https://dockerlabs.collabnix.com/intermediate/networking/Configuring_DNS.html
@@ -418,7 +425,7 @@ Afterwards apply the correct permissions with `sudo chown root:root /root/backup
### How to stop/start/update containers or trigger the daily backup from a script externally?
You can do so by running the `/daily-backup.sh` script that is stored in the mastercontainer. It accepts the following environmental varilables:
- `AUTOMATIC_UPDATES` if set to `1`, it will automatically stop the containers, update them and start them including the mastercontainer. If the mastercontainer gets updated, this script's execution will stop as soon as the mastercontainer gets stopped. You can then wait until it is started again and run the script with this flag again in order to update all containers correctly afterwards.
- `DAILY_BACKUP` if set to `1`, it will automatically stop the containers and create a backup. If you want to start them again afterwards, you may have a look at the `START_CONTAINERS` option. Please be aware that this option is non-blocking if `START_CONTAINERS` and `AUTOMATIC_UPDATES` is not enabled at the same time which means that the backup check is not done when the process is finished since it only start the borgbackup container with the correct configuration.
- `DAILY_BACKUP` if set to `1`, it will automatically stop the containers and create a backup. If you want to start them again afterwards, you may have a look at the `START_CONTAINERS` option.
- `START_CONTAINERS` if set to `1`, it will automatically start the containers without updating them.
- `STOP_CONTAINERS` if set to `1`, it will automatically stop the containers.
- `CHECK_BACKUP` if set to `1`, it will start the backup check. This is not allowed to be enabled at the same time like `DAILY_BACKUP`. Please be aware that this option is non-blocking which means that the backup check is not done when the process is finished since it only start the borgbackup container with the correct configuration.
@@ -438,7 +445,7 @@ You can configure the Nextcloud container to use a specific directory on your ho
- An example for Linux is `-e NEXTCLOUD_DATADIR="/mnt/ncdata"`.
- On macOS it might be `-e NEXTCLOUD_DATADIR="/var/nextcloud-data"`
- For Synology it may be `-e NEXTCLOUD_DATADIR="/volume1/docker/nextcloud/data"`.
- On Windows it might be `-e NEXTCLOUD_DATADIR="/run/desktop/mnt/host/c/ncdata"`. (This path is equivalent to `C:\backup` on your Windows host so you need to translate the path accordingly. Hint: the path that you enter needs to start with `/run/desktop/mnt/host/`. Append to that the exact location on your windows host, e.g. `c/ncdata` which is equivalent to `C:\ncdata`.)
- On Windows it might be `-e NEXTCLOUD_DATADIR="/run/desktop/mnt/host/c/ncdata"`. (This path is equivalent to `C:\ncdata` on your Windows host so you need to translate the path accordingly. Hint: the path that you enter needs to start with `/run/desktop/mnt/host/`. Append to that the exact location on your windows host, e.g. `c/ncdata` which is equivalent to `C:\ncdata`.)
- Another option is to provide a specific volume name here with: `-e NEXTCLOUD_DATADIR="nextcloud_aio_nextcloud_datadir"`. This volume needs to be created beforehand manually by you in order to be able to use it. e.g. with:
```
docker volume create ^
@@ -452,7 +459,7 @@ You can configure the Nextcloud container to use a specific directory on your ho
### Can I use a CIFS/SMB share as Nextcloud's datadir?
Sure. Add this to the `/etc/fstab` file: <br>
`<your-storage-host-and-subpath> <your-mount-dir> cifs rw,credentials=<your-credentials-file>,uid=33,gid=0,file_mode=0770,dir_mode=0770 0 0`<br>
`<your-storage-host-and-subpath> <your-mount-dir> cifs rw,mfsymlinks,seal,credentials=<your-credentials-file>,uid=33,gid=0,file_mode=0770,dir_mode=0770 0 0`<br>
(Of course you need to modify `<your-storage-host-and-subpath>`, `<your-mount-dir>` and `<your-credentials-file>` for your specific case.)
One example could look like this:<br>
@@ -470,10 +477,11 @@ Now you can use `/mnt/storagebox` as Nextcloud's datadir like described in the s
By default, the Nextcloud container is confined and cannot access directories on the host OS. You might want to change this when you are planning to use local external storage in Nextcloud to store some files outside the data directory and can do so by adding the environmental variable `NEXTCLOUD_MOUNT` to the initial startup of the mastercontainer. Allowed values for that variable are strings that start with `/` and are not equal to `/`.
- Two examples for Linux are `-e NEXTCLOUD_MOUNT="/mnt/"` and `-e NEXTCLOUD_MOUNT="/media/"`.
- On macOS it might be `-e NEXTCLOUD_MOUNT="/Volumes/your_drive/"`
- For Synology it may be `-e NEXTCLOUD_MOUNT="/volume1/"`.
- On Windows is this option not supported.
- On Windows it might be `-e NEXTCLOUD_MOUNT="/run/desktop/mnt/host/d/your-folder/"`. (This path is equivalent to `D:\your-folder` on your Windows host so you need to translate the path accordingly. Hint: the path that you enter needs to start with `/run/desktop/mnt/host/`. Append to that the exact location on your windows host, e.g. `d/your-folder/` which is equivalent to `D:\your-folder`.)
After using this option, please make sure to apply the correct permissions to the directories that you want to use in Nextcloud. E.g. `sudo chown -R 33:0 /mnt/your-drive-mountpoint` and `sudo chmod -R 750 /mnt/your-drive-mountpoint` should make it work on Linux when you have used `-e NEXTCLOUD_MOUNT="/mnt/"`.
After using this option, please make sure to apply the correct permissions to the directories that you want to use in Nextcloud. E.g. `sudo chown -R 33:0 /mnt/your-drive-mountpoint` and `sudo chmod -R 750 /mnt/your-drive-mountpoint` should make it work on Linux when you have used `-e NEXTCLOUD_MOUNT="/mnt/"`. On Windows you could do this e.g. with `docker exec -it nextcloud-aio-nextcloud chown -R 33:0 /run/desktop/mnt/host/d/your-folder/` and `docker exec -it nextcloud-aio-nextcloud chmod -R 750 /run/desktop/mnt/host/d/your-folder/`.
You can then navigate to the apps management page, activate the external storage app, navigate to `https://your-nc-domain.com/settings/admin/externalstorages` and add a local external storage directory that will be accessible inside the container at the same place that you've entered. E.g. `/mnt/your-drive-mountpoint` will be mounted to `/mnt/your-drive-mountpoint` inside the container, etc.

View File

@@ -9,7 +9,7 @@ In order to run Nextcloud behind a web server or reverse proxy (like Apache, Ngi
**Attention:** The process to run Nextcloud behind a reverse proxy consists of at least steps 1, 2 and 4:
1. **Configure the reverse proxy! See [point 1](#1-add-this-to-your-reverse-proxy-config)**
1. **Use the in this document provided startup command! See [point 2](#2-use-this-startup-command)**
1. Optional: If the reverse proxy is installed on the same host, you should limit the apache container to only listen on localhost. See [point 3](#3-if-the-reverse-proxy-is-installed-on-the-same-host-you-should-configure-the-apache-container-to-only-listen-on-localhost)
1. Optional: If the reverse proxy is installed on the same host and in the host network, you should limit the apache container to only listen on localhost. See [point 3](#3-limit-the-access-to-the-apache-container)
1. **Open the AIO interface. See [point 4](#4-open-the-aio-interface)**
1. Optional: Get a valid certificate for the AIO interface! See [point 5](#5-optional-get-a-valid-certificate-for-the-aio-interface)
1. Optional: How to debug things? See [point 6](#6-how-to-debug-things)
@@ -48,7 +48,10 @@ Add this as a new Apache site config:
RewriteEngine On
ProxyPreserveHost On
AllowEncodedSlashes NoDecode
ProxyPass / http://localhost:11000/ nocanon
ProxyPassReverse / http://localhost:11000/
RewriteCond %{HTTP:Upgrade} websocket [NC]
RewriteCond %{HTTP:Connection} upgrade [NC]
RewriteCond %{THE_REQUEST} "^[a-zA-Z]+ /(.*) HTTP/\d+(\.\d+)?$"
@@ -475,12 +478,15 @@ sudo docker run \
--restart always \
--publish 8080:8080 \
-e APACHE_PORT=11000 \
-e APACHE_IP_BINDING=0.0.0.0 \
--volume nextcloud_aio_mastercontainer:/mnt/docker-aio-config \
--volume /var/run/docker.sock:/var/run/docker.sock:ro \
nextcloud/all-in-one:latest
```
You should also think about limiting the apache container to listen only on localhost in case the reverse proxy is running on the same host and if localhost is used, by providing an additional environmental variable to this docker run command. See [point 3](#3-if-the-reverse-proxy-is-installed-on-the-same-host-you-should-configure-the-apache-container-to-only-listen-on-localhost).
Note: You may be interested in adjusting Nextclouds datadir to store the files in a different location than the default docker volume. See [this documentation](https://github.com/nextcloud/all-in-one#how-to-change-the-default-location-of-nextclouds-datadir) on how to do it.
You should also think about limiting the apache container to listen only on localhost in case the reverse proxy is running on the same host and in the host network, by providing an additional environmental variable to this docker run command. See [point 3](#3-limit-the-access-to-the-apache-container).
On macOS see https://github.com/nextcloud/all-in-one#how-to-run-aio-on-macos.
@@ -495,6 +501,7 @@ docker run ^
--restart always ^
--publish 8080:8080 ^
-e APACHE_PORT=11000 ^
-e APACHE_IP_BINDING=0.0.0.0 ^
--volume nextcloud_aio_mastercontainer:/mnt/docker-aio-config ^
--volume //var/run/docker.sock:/var/run/docker.sock:ro ^
nextcloud/all-in-one:latest
@@ -510,9 +517,9 @@ On Synology DSM see https://github.com/nextcloud/all-in-one#how-to-run-aio-on-sy
Simply translate the docker run command into a docker-compose file. You can have a look at [this file](https://github.com/nextcloud/all-in-one/blob/main/docker-compose.yml) for some inspiration but you will need to modify it either way. You can find further examples here: https://github.com/nextcloud/all-in-one/discussions/588
## 3. If the reverse proxy is installed on the same host, you should configure the apache container to only listen on localhost.
## 3. Limit the access to the apache container
Use this envorinmental variable during the initial startup of the mastercontainer to make the apache container only listen on localhost: `-e APACHE_IP_BINDING=127.0.0.1`. **Attention:** This is only recommended to be set if you use `localhost` in your reverse proxy config to connect to your AIO instance. If you use an ip-address, you can either simply skip this step or set it to `0.0.0.0` if you are unsure what the correct value is.
Use this envorinmental variable during the initial startup of the mastercontainer to make the apache container only listen on localhost: `-e APACHE_IP_BINDING=127.0.0.1`. **Attention:** This is only recommended to be set if you use `localhost` in your reverse proxy config to connect to your AIO instance. If you use an ip-address instead of localhost, you should set it to `0.0.0.0`.
## 4. Open the AIO interface.
After starting AIO, you should be able to access the AIO Interface via `https://ip.address.of.the.host:8080`. Enter your domain that you've entered in the reverse proxy config and you should be done. Please do not forget to open port `3478/TCP` and `3478/UDP` in your firewall/router for the Talk container!